#include <QtQml>
#include <QtCore>

int main(int argc, char **argv)
{
	QCoreApplication ca(argc, argv);
	QTranslator translator;
	translator.load("nb.qm");
	ca.installTranslator(&translator);
	QFile f("script.qs");
	f.open(QIODevice::ReadOnly);
	QByteArray scriptContent = f.readAll();
	f.close();
	QFileInfo fi("script.qs");
	QJSEngine engine;
	engine.installExtensions(QJSEngine::TranslationExtension | QJSEngine::ConsoleExtension);
	QJSValue scriptContext = engine.evaluate(scriptContent, fi.absoluteFilePath());
	scriptContext.call();
	return 0;
}
